<?php

namespace Bixo\Master\Repositories\Eloquent;

use Bixo\Master\Interfaces\MasterRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class MasterRepository extends BaseRepository implements MasterRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.master.master.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.master.master.model.model');
    }
}
